import java.util.ArrayList;
import java.util.Scanner;

/**
 * 
 * @author schauer
 * 
 * Vernderung der Aufgabe zur Nutzereingabe von der letzten Kursstunde. Nun mittels ArrayList als dynamische Struktur.
 */
public class NutzereingabenDynamisch {
	
	public static void main(String[] args) {
		
		Scanner scan = new Scanner(System.in);
		
		// ArrayList-Objekt erzeugen. Es sollen int Werte gespeichert werden knnen.
		ArrayList<Integer> eingaben = new ArrayList<Integer>();
		
		System.out.println("Bitte geben Sie Zahlen ein. Mit 0 beenden Sie die Eingabe.");
		
		boolean terminieren = false;
		
		while(!terminieren){
			
			System.out.println("Bitte geben Sie eine Zahl ein: ");
			int eingabe = scan.nextInt();
			
			if(eingabe == 0){
				terminieren = true;
			}else{	
				// Jetzt knnen die Eingaben einfach in die ArrayList gespeichert werden ohne berprfung der Gre.
				eingaben.add(eingabe);
			}	
		}
		scan.close();
		
		// Ausgaben
		
		System.out.print("Ihre eingegebenen Zahlen lauten: ");
		double summe=0.0;
		for(int i : eingaben){
			System.out.print(i+" ");
			summe+=i;
		}
		System.out.println("");
		
		double durchschnitt = summe/eingaben.size();
		System.out.println("Der Durchschnitt: "+String.format("%1.2f",durchschnitt));

	}
}
